WCTOB(P)

NAME
wctob - wide-character to single-byte conversion

SYNOPSIS

#include <stdio.h>
#include <wchar.h>

int wctob(wint_t c);

DESCRIPTION

The wctob() function shall determine whether c corresponds to a member of the extended character set whose character representation is a single byte when in the initial shift state.

The behavior of this function shall be affected by the LC_CTYPE category of the current locale.

RETURN VALUE

The wctob() function shall return EOF if c does not correspond to a character with length one in the initial shift state. Otherwise, it shall return the single-byte representation of that character as an unsigned char converted to int.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

btowc() , the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .